pipeline {
    agent any
    stages {
        stage('Master Branch Deploy Code') {
             steps {
                parallel(
                a: {
                    echo "This is branch a"
                },
                b: {
                    echo "This is branch b"
                },
                c: {
                    echo "This is branch c"
                },
                d: {
                    echo "This is branch d"
                },
                )
            }
        }
        stage('Develop Branch Deploy Code') {
            steps {
                sh """
                echo "Building Artifact from Develop branch"
                """
                sh """
                echo "Deploying Code from Develop branch"
                """
           }
        }
        stage('Testing Branch Deploy Code') {
            steps {
                sh """
                echo "Building Artifact from Tesing branch"
                """
                sh """
                echo "Deploying Code from Testing branch"
                """
           }
        }
    }
}
